<!-- <ion-app>
  <ion-content class="ion-padding"> -->
<ng-container *ngIf="dispatchView else dataAwaitedBlk">
  <div class="e-card2 e-card2--bg-eblue100  eh-p-8 eh-txt-12">
    <div class="eh-txt-bold">Summary</div>
    <div class="eh-mt-4" fxLayout="row">
      <div>Start:</div>
      <div class="eh-w-64 eh-ml-8 eh-txt-bold">
        {{startWeight ? startWeight + ' kg' : '-'}}
      </div>
      <div class="eh-ml-16">Latest:</div>
      <div class="eh-w-64 eh-ml-8 eh-txt-bold">
        {{latestWeight ? latestWeight + ' kg' : '-'}}
      </div>
      <div class="eh-ml-16">Difference:</div>
      <div class="eh-w-64 eh-ml-8 eh-txt-bold">
        {{delta !== null ? delta + ' kg' : '-'}}
      </div>
    </div>
  </div>

  <div class="e-title eh-mt-16">
    <mat-icon class="e-mat-icon e-mat-icon--3 eh-mr-8">monitor_weight</mat-icon>
    <span>Weight Progress Parameters</span>
  </div>

  <ng-container [formGroup]="progressFG">
    <div class="e-card2 e-card2--bg-eblue100 eh-mt-16 eh-pt-8 eh-px-8 eh-txt-12">
      <div fxLayout="row" fxLayoutAlign="start">
        <div *ngIf="hasChanged" class="e-txt e-txt--matred600 eh-mr-4" fxLayout="row" fxLayoutAlign="start center">
          <mat-icon class="e-mat-icon e-mat-icon--3">warning</mat-icon>
          <!-- <span class="eh-txt-12 eh-ml-4 eh-txt-bold">Unsaved changes</span> -->
        </div>

        <app-button-icon-title class="eh-w-20 eh-px-2 eh-mr-2" buttonStyle="e-txt e-txt--matred600"
          icon="settings_backup_restore" [disabled]="loading" (onButtonClick)="onReset()"></app-button-icon-title>


        <app-button-icon-title class="eh-w-20 eh-px-2 eh-mr-2" buttonStyle="e-txt e-txt--matgreen500" icon="save"
          [loading]="loading" (onButtonClick)="onSave()"></app-button-icon-title>
      </div>

      <div fxLayout="column">
        <div fxLayout="row" fxLayoutAlign="start center">
          <div class="eh-txt-12 eh-w-100">
            Start Date
          </div>

          <mat-form-field appearance="standard">
            <input matInput [matDatepicker]="picker1" formControlName="startDate" readonly>
            <mat-datepicker-toggle class="e-mat-datepicker" matSuffix [for]="picker1"></mat-datepicker-toggle>
            <mat-datepicker #picker1></mat-datepicker>
          </mat-form-field>
        </div>

        <div fxLayout="row" fxLayoutAlign="start center">
          <div class="eh-txt-12 eh-w-100 eh-mr-4">
            Start Weight
          </div>
          <div fxLayout="row">
            <input class="eh-txt-12 eh-w-180 e-brd e-brd--bottom " type="number" formControlName="startWeight"
              [ngClass]="{'e-brd--egrey400': startWeightFC.valid, 'e-brd--error': !startWeightFC.valid}">
            <div class="eh-txt-14">kg</div>
          </div>
        </div>
      </div>

      <div fxLayout="column">
        <div fxFlex="0 0 50%" fxLayout="row" fxLayoutAlign="start center">
          <div class="eh-txt-12 eh-w-100">
            Target Date
          </div>

          <mat-form-field appearance="standard">
            <input matInput [matDatepicker]="picker2" formControlName="targetDate" readonly>
            <mat-datepicker-toggle class="e-mat-datepicker" matSuffix [for]="picker2"></mat-datepicker-toggle>
            <mat-datepicker #picker2></mat-datepicker>
          </mat-form-field>
        </div>

        <div fxLayout="row" fxLayoutAlign="start center" class="eh-pb-4">
          <div class="eh-txt-12 eh-w-100">
            Target Weight
          </div>

          <input class="eh-w-180 eh-txt-12 e-brd e-brd--bottom eh-p-4" type="number" formControlName="targetWeight"
            [ngClass]="{'e-brd--egrey400': targetWeightFC.valid, 'e-brd--error': !targetWeightFC.valid}">

          <div class="eh-txt-14 eh-ml-4">kg</div>
        </div>
      </div>
    </div>
    <br>
  </ng-container>

  <div class="e-title eh-mt-16">
    <mat-icon class="e-mat-icon e-mat-icon--3 eh-mr-8">monitor_weight</mat-icon>
    <span>Weight Logs</span>
  </div>

  <div class="eh-mt-16" fxLayout="row" fxLayoutAlign="start center">
    <app-button-icon-title class="eh-w-84" title="Add Log" buttonStyle="e-txt e-txt--warn" icon="playlist_add"
      iconStyle="e-mat-icon--2" (onButtonClick)="picker3.open()"></app-button-icon-title>

    <mat-form-field appearance="none">
      <input matInput [matDatepicker]="picker3" [max]="maxDate" [hidden]="true" [matDatepickerFilter]="dateFilter"
        (dateInput)="onDailyDateSelection($event)">
      <mat-datepicker #picker3></mat-datepicker>
    </mat-form-field>
  </div>

  <div class="eh-txt-12 eh-txt-italic">
    Please enter your weight in the table (in the morning, after toilet, before breakfast - without clothes)
  </div>

  <div class="e-brd e-brd--bottom eh-p-8 eh-mt-12" fxLayout="row">
    <div class="eh-txt-12 eh-txt-center" fxFlex="0 0 32%">Date</div>
    <div class="eh-txt-12 eh-txt-center" fxFlex="0 0 33%">Weight(kg)</div>
    <div class="eh-txt-12 eh-txt-center" fxFlex="0 0 35%">Total Loss/Gain(kg)</div>
  </div>

  <ng-container *ngFor="let logFG of logsFA.controls; let i = index;">
    <app-progress-weight-log [logFG]="logFG" [startWeight]="startWeight" (deleteEvent)="removeLog($event, i)">
    </app-progress-weight-log>
  </ng-container>

</ng-container>

<ng-template #dataAwaitedBlk>
  <div class="e-spinner e-spinner--3 e-spinner--center eh-h-100v eh-txt-center eh-h-100v" fxLayout="row"
    fxLayoutAlign="center center">
    <mat-spinner [diameter]="30" [strokeWidth]="3"></mat-spinner>
  </div>
</ng-template>
<!-- </ion-content>
</ion-app> -->